All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.tableview
Class CellRendererTag

    com.sas.taglib.servlet.tbeans.tableview.CellRendererTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class CellRendererTag

CellRendererTag is the tag handler class for the sas:CellRenderer custom tag . CellRendererTag is invoked by the JSP page to evaluate the sas:CellRenderer custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, DefaultTableCellRenderer, to execute the methods.

If you need to extend or modify the functionality of the sas:CellRenderer custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:CellRenderer custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`CellRendererTag()`

Method Summary
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Processes the start tag for this instance.
`int` | `getEndColumn()` Returns the endColumn property of the CellRendererTag.
`int` | `getEndRow()` Returns the endRow property of the CellRendererTag.
`int` | `getRepeatColumnFactor()` Returns the repeatColumnFactor property of the CellRendererTag.
`int` | `getRepeatRowFactor()` Returns the repeatRowFactor property of the CellRendererTag.
`int` | `getStartColumn()` Returns the startColumn property of the CellRendererTag.
`int` | `getStartRow()` Returns the startRow property of the CellRendererTag.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setEndColumn(int column)` Sets the endColumn property of the CellRendererTag.
`void` | `setEndRow(int row)` Sets the endRow property of the CellRendererTag.
`void` | `setRepeatColumnFactor(int repeatColumn)` Sets the repeatColumnFactor property of the CellRendererTag.
`void` | `setRepeatRowFactor(int repeatRow)` Sets the repeatRowFactor property of the CellRendererTag.
`void` | `setStartColumn(int column)` Sets the startColumn property of the CellRendererTag.
`void` | `setStartRow(int row)` Sets the startRow property of the CellRendererTag.

Methods inherited from class com.sas.taglib.servlet.tbeans.tableview.BaseCellRendererTag
`applyAttributes, getBgColor, getColSpan, getCustomAttributes, getHeaders, getHeight, getHeightPercentage, getHorizontalAlignment, getRowSpan, getStyleClassPrefix, getVerticalAlignment, getWidth, getWidthPercentage, isNoWrap, setBgColor, setColSpan, setCustomAttributes, setHeaders, setHeight, setHeightPercentage, setHorizontalAlignment, setNoWrap, setRowSpan, setStyleClassPrefix, setVerticalAlignment, setWidth, setWidthPercentage`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getLocale, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setLocale, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### CellRendererTag

    public CellRendererTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseCellRendererTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setStartRow

    public void setStartRow(int row)

  Sets the startRow property of the CellRendererTag.

  Parameters:
    `startRow` - The first row to begin using this CellRenderer. This property is 1-based.
  See Also:
    `getStartRow()`

### getStartRow

    public int getStartRow()

  Returns the startRow property of the CellRendererTag.

  Returns:
    the first row to begin using this CellRenderer or -1 if not set
  See Also:
    `setStartRow(int)`

### setEndRow

    public void setEndRow(int row)

  Sets the endRow property of the CellRendererTag.

  Parameters:
    `endRow` - The last row to begin using this CellRenderer. This property is 1-based.
  See Also:
    `getEndRow()`

### getEndRow

    public int getEndRow()

  Returns the endRow property of the CellRendererTag.

  Returns:
    the last row to begin using this CellRenderer or -1 if not set
  See Also:
    `setEndRow(int)`

### setRepeatRowFactor

    public void setRepeatRowFactor(int repeatRow)

  Sets the repeatRowFactor property of the CellRendererTag.

  Parameters:
    `repeatRowFactor` - Specifies every nth row after the startRow to use this CellRenderer. This property is 1-based.
  See Also:
    `getRepeatRowFactor()`

### getRepeatRowFactor

    public int getRepeatRowFactor()

  Returns the repeatRowFactor property of the CellRendererTag.

  Returns:
    every nth row after the startRow to use this CellRenderer
  See Also:
    `setRepeatRowFactor(int)`

### setStartColumn

    public void setStartColumn(int column)

  Sets the startColumn property of the CellRendererTag.

  Parameters:
    `startColumn` - The first column to begin using this CellRenderer. This property is 1-based.
  See Also:
    `getStartColumn()`

### getStartColumn

    public int getStartColumn()

  Returns the startColumn property of the CellRendererTag.

  Returns:
    the first column to begin using this CellRenderer or -1 if not set
  See Also:
    `setStartColumn(int)`

### setEndColumn

    public void setEndColumn(int column)

  Sets the endColumn property of the CellRendererTag.

  Parameters:
    `endColumn` - The last column to begin using this CellRenderer. This property is 1-based.
  See Also:
    `getEndColumn()`

### getEndColumn

    public int getEndColumn()

  Returns the endColumn property of the CellRendererTag.

  Returns:
    the last column to begin using this CellRenderer or -1 if not set
  See Also:
    `setEndColumn(int)`

### setRepeatColumnFactor

    public void setRepeatColumnFactor(int repeatColumn)

  Sets the repeatColumnFactor property of the CellRendererTag.

  Parameters:
    `repeatColumnFactor` - Specifies every nth column after the startColumn to use this CellRenderer. This property is 1-based.
  See Also:
    `getRepeatColumnFactor()`

### getRepeatColumnFactor

    public int getRepeatColumnFactor()

  Returns the repeatColumnFactor property of the CellRendererTag.

  Returns:
    every nth column after the startColumn to use this CellRenderer
  See Also:
    `setRepeatColumnFactor(int)`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.